Subject: bug#18764: 24.4; electric-indent in *scratch* signals an error

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Jun 2018 18:03:35 +0300

> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 16 Jun 2018 09:48:18 -0400
> 
> > Why do we produce an error instead of just inserting the character?
> 
> I don't quite follow; the newline character has already been inserted as
> far as I can tell.  Then we signal an error while trying to indent.

Then let me rephrase: why are we signaling an error instead of
silently doing nothing?  IOW, if something cannot be indented, let's
leave it unindented.  Does that make sense?